Package ru.bgcrm.plugin.bgbilling.proto.model.bill

# Class Attribute

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.plugin.bgbilling.proto.model.bill.Attribute

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`, `PeriodSet`

public class Attribute extends IdTitle implements PeriodSet

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Attribute()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getValue()`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setName(String name)`
  `void`
  `setPeriod(Period period)`
  `void`
  `setValue(String value)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### Attribute

    public Attribute()

- ## Method Details

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)
    Specified by:
      `setDateFrom` in interface `PeriodSet`

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)
    Specified by:
      `setDateTo` in interface `PeriodSet`

  - ### getValue

    public String getValue()

  - ### setValue

    public void setValue(String value)

  - ### setPeriod

    public void setPeriod(Period period)

  - ### setName

    public void setName(String name)